<!DOCTYPE html>

<html>

<head>
    <meta charset="utf-8">
	<title>Chat | ChatApp</title>
	<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <link rel="stylesheet" href="/css/styles.css">
</head>

<body class="chat">
    <div class="chat__sidebar">
        <h3>People</h3>
        <div id="users"></div>
    </div>

    <div class="chat__main">
        <ol id="messages" class="chat__messages"></ol>
        <div class="chat__footer">
            <form id="message-form">
                <input name="message" type="text" placeholder="Message" autofocus autocomplete="off"/>
                <button>Send</button>
            </form>
			<button id="send-location">Send Location</button>
        </div>
    </div>
    <script id="message-template" type="text/template">
		<li class="message">
			<div class="message__title">
				<h4>{{from}}</h4>
				<span>{{createdAt}}</span>: {{text}}
			</div>
			<div class="message__body">
				{{text}}
			</div>
		</li>
	</script>
    <script id="location-message-template" type="text/template">
		<li class="message">
			<div class="message__title">
				<h4>{{from}}</h4>
				<span>{{createdAt}}</span>: {{text}}
			</div>
			<div class="message__body">
				<p>
					<a href="{{url}}" target="_blank">My current location</a>
				</p>
			</div>
		</li>
	</script>
    <script src="/socket.io/socket.io.js"></script>
    <script src="/js/libs/jquery-3.3.1.min.js"></script>
    <script src="/js/libs/moment.js"></script>
    <script src="/js/libs/mustache.js"></script>
    <script src="/js/libs/deparam.js"></script>
    <script src="/js/chat.js"></script>
</body>

</html>